using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using System;
using System.ComponentModel;
namespace APT.MS.Domain.Entities.SE
{
    /// <summary>
    /// 培训效果评估表培训改进意见表
    /// </summary>
    [Description("培训效果评估表培训改进意见表")]
    public class T_SE_TRAINING_EFFECT_EVALUATION_OPINION : MesEntityBase
    {
        /// <summary>
        /// 培训效果评估表ID
        /// </summary>
        [Description("培训效果评估表ID")]
        [DataFieldForeignKey("Nav_TrainingEffect","Nav_OpinionList")]
        public Guid TRAINING_EFFECT_EVALUATION_ID { get; set; }
        /// <summary>
        /// 导航: 培训效果评估表
        /// </summary>
        [Description("导航: 培训效果评估表")]
        public T_SE_TRAINING_EFFECT_EVALUATION Nav_TrainingEffect { get; set; }
        /// <summary>
        /// 参与人员ID
        /// </summary>
        [Description("参与人员")]
        [FormFieldEdit]
        [DataFieldForeignKey("Nav_User")]
        public Guid? USER_ID { get; set; }
        /// <summary>
        /// 导航: 参与人员
        /// </summary>
        [Description("导航: 参与人员")]
        public T_FM_USER Nav_User { get; set; }
        /// <summary>
        /// 意见内容
        /// </summary>
        [Description("意见内容")]
        [DataFieldLength(500)]
        [FormFieldEdit]
        public string OPINION_CONTENT { get; set; }
    }
}
